Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class MoveSubtreeEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.MoveSubtreeEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class MoveSubtreeEdit

extends DocumentEdit

Field Summary
`protected boolean` | `down`
`protected Node` | `root`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`MoveSubtreeEdit(Document document, Node root, boolean down)`

Method Summary
`java.lang.String` | `getPresentationName()`
`private void` | `move(boolean down)` Moves the subtree defined by `root` up or down.
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected Node root

### down

    protected boolean down

Constructor Detail

### MoveSubtreeEdit

    public MoveSubtreeEdit(Document document,
                           Node root,
                           boolean down)

Method Detail

### move

    private void move(boolean down)

  Moves the subtree defined by `root` up or down. Ths method must not be called if `root`...
  - has no parent node.
  - is the first child of the parent node and `down` is false.
  - is the last child of the parent node and `down` is true.

### redo

    public void redo()
              throws javax.swing.undo.CannotRedoException

  Specified by:
    `redo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotRedoException`

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `undo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD